package school_project.Parsers;

import org.junit.jupiter.api.Test;
import school_project.Map;
import school_project.Piece;
import school_project.Vec2;

import static org.junit.jupiter.api.Assertions.*;

class BinaryParserTest {

    @Test
    void getByteSizeForMap() {
        boolean[][] map_shape = {
                { true, true, true },
                { true, false, true },
                { true, true, true },

        };
        boolean[][] piece1_shape = {
                { true, true },
                { true, false },
                { true, true },

        };
        boolean[][] piece2_shape = {
                { true },
                { true },
                { true },

        };
        Map map = new Map(map_shape);
        Piece piece1 = new Piece(piece1_shape);
        Piece piece2 = new Piece(piece2_shape);

        map.addPiece(new Piece[]{piece1, piece2});
        piece2.setPosition(new Vec2(0, 2));


        assertEquals(15, BinaryParser.getByteSizeForMap(map, false));
        assertEquals(19, BinaryParser.getByteSizeForMap(map, true));
    }
}