package school_project.Parsers;

import org.junit.jupiter.api.Test;
import school_project.Map;
import school_project.Piece;

import java.io.File;
import java.io.IOException;

import static org.junit.jupiter.api.Assertions.*;

class JsonParserTest {

    @Test
    void saveLevelData() throws IOException {
        boolean[][] map_matrix = {
                {true, true, true},
                {false, true, false},
                {true, true, true},
        };
        Map map = new Map(map_matrix);
        boolean[][] piece1 = {{true, true, true}};
        boolean[][] piece2 = {{false, true, false}, {true, true, true}};
        map.addPiece(new Piece(piece1));
        map.addPiece(new Piece(piece2));
        JsonParser parser = new JsonParser();
        parser.saveLevel(new File("test.json"), map, false);

        FileParser p2 = FileParserFactory.createParser(new File("test.json"));
        Map map2 = p2.getLevel(new File("test.json"), false);
        assertArrayEquals(map2.getShape(), map.getShape());
        assertArrayEquals(map2.getUsedSpace(), map.getUsedSpace());
    }
}